
Redmine - Defect #1843

Importing trac's [wiki:"String WikiString"] translates to [[String [[WikiString]]]]

2008-09-02 16:50 - Daniel Feliciano Branco

Status: Needs feedback Start date: 2008-09-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.3

Description

Hi,

When importing trac's [wiki:"String WikiString"] it translates to [[String [[WikiString]]]]

Removing line source:/tags/0.7.3/lib/tasks/migrate_from_trac.rake#L244 solve this for me because I don't use WikiCaps.

I've tried to fix it, but don't have enough regexp magic.

ruby 1.8.5

rails 2.0.2

Thanks

daniel

History

#1 - 2008-09-02 17:12 - Daniel Feliciano Branco

also:

Esta [...] linux [wiki:"gtitqb"] do itqb, [...] externa da [wiki:"fw"].

Na [wiki:"fw"] a rede [...] a [wiki:"DMZ"], onde [...] e a [wiki:"VPN"], utilizada [...]

 gets imported to:

Esta [...] linux [[gtitqb"] do itqb [...] externa da [wiki"fw]].

Na [[fw"] a rede [...] a [wiki"DMZ"] onde [...] e a [wiki"VPN]], utilizada [...]

 Thanks again.

daniel

#2 - 2008-10-19 14:19 - Karl Heinz Marbaise

- File defect-1843.patch added

Hi,

i have taken a look at it...

It seemed to be laying in the line source:/tags/0.7.3/lib/tasks/migrate_from_trac.rake#L237....

I have create a patch which will exactly handle the previous situation and is placed before the lines, cause i'm not sure if this has different

relationships...but it will product correct results during test migrations.

#3 - 2008-10-19 16:54 - Karl Heinz Marbaise

- File non-greedy.patch added

Ok. I have take a second look and found out that many of these RegEx are using

greedy-behaviour (.* instead of .*?). I have appended a patch to use non-greedy-behaviour instead.

You can simply forget the defect-1843.patch).
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/0.7.3/lib/tasks/migrate_from_trac.rake#L244
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/0.7.3/lib/tasks/migrate_from_trac.rake#L237


#4 - 2008-11-11 12:29 - Daniel Feliciano Branco

- % Done changed from 0 to 50

Hi,

I've tried your non-greedy.patch against version 0.7.3, and it solved the [[String [[WikiString]]]] issue. (thanks)

The "text [wiki:"page1"] text [wiki:"page2"] text." still gets converted to "text page1"] text [wiki"page2 text."

The problem is the " as "text [wiki:page1] text [wiki:page2] text." gets correctly converted.

Thanks again

daniel

#5 - 2008-11-11 13:16 - Daniel Feliciano Branco

- % Done changed from 50 to 0

Hi,

My mistake, I still had a comment on line 244 that converted WikiCaps, the patch didn't fix it yet (as you sta

ted on #2 comment)

 Sorry about that.

 daniel

#6 - 2008-11-11 17:08 - Daniel Feliciano Branco

- File defect-1843-r2.patch added

Hi,

I've given another go at the regexp problem, started with your first patch and fixed the two problems, on the first check, not breaking any thing else.

daniel

#7 - 2008-11-17 15:13 - Daniel Feliciano Branco

- File defect-1843-r3.patch added

I've find and solved another bug, [wiki:"test1/test2" "test"] didn't work.

Here is a patch against 0.7.3.

I've converted 2800 wiki edits from trac to reamine and we are now using redmine for our internal management.

Thanks for a great piece of software.

daniel

#8 - 2011-03-30 09:44 - Etienne Massip

- Target version set to Candidate for next minor release

#9 - 2013-02-06 11:52 - Daniel Felix

- Status changed from New to Needs feedback

Again another trac importer bug. Any news on this? Maybe someone can confirm, that this is fixed?

#10 - 2013-07-18 10:15 - Jan Niggemann (redmine.org team member)

- Target version deleted (Candidate for next minor release)

Files

defect-1843.patch 705 Bytes 2008-10-19 Karl Heinz Marbaise

non-greedy.patch 1.3 KB 2008-10-19 Karl Heinz Marbaise

defect-1843-r2.patch 1.65 KB 2008-11-11 Daniel Feliciano Branco

defect-1843-r3.patch 1.8 KB 2008-11-17 Daniel Feliciano Branco
